Bug 36439 - Column settings are missing on holds-to-pull table
Summary: Column settings are missing on holds-to-pull table
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P3 trivial (vote)
Assignee: Andreas Jonsson
QA Contact: Testopia
URL:
Keywords:
Depends on: 33575
Blocks:
  Show dependency treegraph
 
Reported: 2024-03-27 14:14 UTC by Andreas Jonsson
Modified: 2024-04-05 09:53 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.05.00


Attachments
Bug 36439: Remove duplicate section in columns_settings (1.20 KB, patch)
2024-03-27 14:30 UTC, Andreas Jonsson
Details | Diff | Splinter Review
Bug 36439: Remove duplicate section in columns_settings (1.25 KB, patch)
2024-03-27 17:53 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 36439: Remove duplicate section in columns_settings (1.31 KB, patch)
2024-03-30 14:54 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Jonsson 2024-03-27 14:14:20 UTC
The column settings (the cog wheel icon) are missing on the table on the pending reserves page due to an ill applied patch for bug 33575.
Comment 1 Andreas Jonsson 2024-03-27 14:30:28 UTC
Created attachment 164007 [details] [review]
Bug 36439: Remove duplicate section in columns_settings

   The patch for bug 33575 was carelessely applied so
   the holds section was overwritten by a duplicated
   section which cause the table configuration for
   the holds-to-pull table to be missing.

   Test plan:

   * Place a hold on a record that has items (so there is at least one hold to pull)
   * Go to the page "holds to pull" and verify that the column settings are present
     to the left above the table (<cog wheel icon> Columns).

     NOTE: the column settings are cached, so you need to reset memcached
     between tests if you want to test with and without the patch.
Comment 2 Lucas Gass 2024-03-27 17:53:32 UTC
Created attachment 164021 [details] [review]
Bug 36439: Remove duplicate section in columns_settings

The patch for bug 33575 was carelessely applied so
   the holds section was overwritten by a duplicated
   section which cause the table configuration for
   the holds-to-pull table to be missing.

   Test plan:

   * Place a hold on a record that has items (so there is at least one hold to pull)
   * Go to the page "holds to pull" and verify that the column settings are present
     to the left above the table (<cog wheel icon> Columns).

     NOTE: the column settings are cached, so you need to reset memcached
     between tests if you want to test with and without the patch.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Nick Clemens 2024-03-30 14:54:46 UTC
Created attachment 164158 [details] [review]
Bug 36439: Remove duplicate section in columns_settings

The patch for bug 33575 was carelessely applied so
   the holds section was overwritten by a duplicated
   section which cause the table configuration for
   the holds-to-pull table to be missing.

   Test plan:

   * Place a hold on a record that has items (so there is at least one hold to pull)
   * Go to the page "holds to pull" and verify that the column settings are present
     to the left above the table (<cog wheel icon> Columns).

     NOTE: the column settings are cached, so you need to reset memcached
     between tests if you want to test with and without the patch.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Katrin Fischer 2024-04-05 09:53:07 UTC
Pushed for 24.05!

Well done everyone, thank you!